Package com.sas.lsaf.workflow.element

## Class CompletedEventGateway

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.CompletedElement
    - - com.sas.lsaf.workflow.element.CompletedEvent
      - - com.sas.lsaf.workflow.element.CompletedEventGateway

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class CompletedEventGateway
      extends CompletedEvent

  The class that represents a completed event gateway in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `CompletedElement.TaskCompletedState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletedEventGateway​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String processFlowId, java.lang.String name, java.lang.String description, Element.ElementType type, java.util.Date created, java.lang.String completedBy, java.util.Date completed, CompletedElement.TaskCompletedState completedState, CompletedEvent triggeredEvent)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompletedEvent` | `getTriggeredEvent()` | Gets the event that triggered the process flow from the gateway.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `getCompleted, getCompletedBy, getCompletedState, getCreated, getDescription, getElementId, getName, getProcessFlowId, getType`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `equals, getId, getTypeId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedEventGateway

          public CompletedEventGateway​(java.lang.String typeId,
                                       java.lang.String id,
                                       java.lang.String elementId,
                                       java.lang.String processFlowId,
                                       java.lang.String name,
                                       java.lang.String description,
                                       Element.ElementType type,
                                       java.util.Date created,
                                       java.lang.String completedBy,
                                       java.util.Date completed,
                                       CompletedElement.TaskCompletedState completedState,
                                       CompletedEvent triggeredEvent)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the completed events returned by the API.
      Parameters:
        `typeId` - The object type identifier of the event.
        `id` - The unique identifier of the event.
        `elementId` - The identifier of the event as it appears in the process flow definition.
        `processFlowId` - The identifier of the process flow that contains the element.
        `name` - The name of the event.
        `description` - The description of the event.
        `type` - The type of the event.
        `created` - The date on which the event was created.
        `completedBy` - The user who completed the event.
        `completed` - The date on which the event was created.
        `completedState` - The completed state of the element
        `triggeredEvent` - The event that triggered the process flow from the gateway.

  - ### Method Detail

    - #### getTriggeredEvent

          public CompletedEvent getTriggeredEvent()

      Gets the event that triggered the process flow from the gateway.
      Returns:
        The event.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `CompletedElement`